How to connect SDK Version 4.0.3 to S32DS

cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

How to connect SDK Version 4.0.3 to S32DS

Jump to solution
4,881 Views
DenisT1980
Contributor III

I wil try the new version of S32 SDK: RTM 4.0.4. I have downloaded the *.exe file and installed it.

But S32DS seems not to see this SDK: it is not a option by selection of SDK.

 

0 Kudos
1 Solution
2,785 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

According to the currently available information, we don’t have any plan to integrate S32SDK S32K1XX 4.0.3 into S32DS 3.5 or above version.

Sorry, do you mean the lin_stack mentioned in chapter 2.2 List of fixed issues from S32K1xx RTM 4.0.2.? If so, it's fixed in S32K1xx RTM 4.0.3 + S32DS v3.4 .
If not, would you please submit a new question in S32DS community. So that S32DS experts can help you check the issue.

lin_stack 2.2 List of fixed issues from S32K1xx RTM 4.0.2..png

View solution in original post

0 Kudos
20 Replies
2,010 Views
srikarthik0601
Contributor II

Same problem here. It seems that SDK Version 4.0.3 isn't available for S32DS 3.5. It can be added in S32DS 3.4.

0 Kudos
3,662 Views
IonS
Contributor I

Hi, the SDK 4.0.3 I see it is available on S32DS 3.4.

0 Kudos
3,563 Views
Mehnoor
Contributor I

Hey,

Could you please guide me to add RTM 4.0.3 in s32ds 3.4, cause i am not able to do so.

Thanks!

0 Kudos
4,155 Views
dragoudin
Contributor I

I found a problem.

I have S32DS 3.5.

When I use update site from com.nxp.s32ds.dev.packages_3.5.0.20220726225500 - https://www.nxp.com/lgfiles/updates/Eclipse/S32DS_3.4, I find SDK 4.0.3

dragoudin_0-1675074773995.png

When I use the the 3.5 update site, I don't find RTM 4.0.3 (com.nxp.s32ds.dev.packages_3.5.0.20220726225500 - https://www.nxp.com/lgfiles/updates/Eclipse/S32DS_3.5)

dragoudin_1-1675074861761.png

It seems that update site for S32DS 3.5 is not up to date

 

0 Kudos
4,658 Views
DavidMunozQuiroz
Contributor II

Do you have any updates about publishing an update in the S32DS package?

0 Kudos
4,645 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

The SDK team has communicated with the S32DS team about this three weeks ago.  I haven't received the information on when it will be released. 

0 Kudos
4,874 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

Hi DenisT1980,

Please use Extensions and Updates install the latest S32 SDK for S32K1xx RTM 4.0.3 in S32DS 3.4. You can refer the Installation instructions of S32 Design Studio 3.3 - S32K1xx dev package and S32 SDK for S32K1xx RTM 4.0.0 available!

Best Regards,
Robin
-------------------------------------------------------------------------------
Note:
- If this post answers your question, please click the "Mark Correct" button. Thank you!

- We are following threads for 7 weeks after the last post, later replies are ignored
Please open a new thread and refer to the closed one, if you have a related question at a later point in time.
-------------------------------------------------------------------------------

0 Kudos
4,851 Views
huang_hw
Contributor II

"Extensions and Updates install the latest S32 SDK for S32K1xx RTM 4.0.3 in S32DS 3.4." does NOT work as 4.0.3 is not found in S32DS 3.4 Extensions and Updates. 

4.0.3 can only be download in .exe form and after executing the .exe, it is NOT incorporated into S32DS 3.4. (it is expanded into a series of directories/sub-directories in the NXP directory.

This is probably why the question was asked in the first place.

0 Kudos
4,779 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

Sorry for replying so late, temporarily unable to connect SDK Version 4.0.3 to S32DS. Need to wait for the new update package for S32DS 3.4.

0 Kudos
4,839 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

The S32SDK_S32K1xx_RTM_4.0.3.exe is the standalone version of the SDK and it contains no integration support for S32DS.

I need to consult this with our S32DS\SDK team and will update this thread as soon as I have their feedback.

0 Kudos
4,787 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

It seems they did not publish an update the package for S32 Design Studio. We've reached out to the SDK support team for help.

0 Kudos
4,403 Views
_Davy_
Contributor III

Hi NXP team,

Any updates regarding the SDK integration 4.0.3 in S32DS ?

We checked with the S32DS version 3.4 and the last 3.5 from august 2022 but no integration of this SDK is realized.

Do you have any deadline to provide ?

Regards,

0 Kudos
4,211 Views
designer1258475
Contributor I
I confirm with S32 DS 3.5. I install SDK in folder C:\NXP\S32_SDK_S32K1xx_RTM_4.0.3

In S32 DS IDE, I try to add it manually but it is not working (in Preference >S32 Design Studio for S32 Platform > SDK Management > Load > Load From SDK Manifest), but nothing

Normally, the RTM 4.03 shall be updated by IDE update features. Impossible to install this RTM.
0 Kudos
4,196 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

Hi _Davy_ and designer1258475 and DavidMunozQuiroz

You should be able to use Extensions and Updates install the latest S32 SDK for S32K1xx RTM 4.0.3 in S32DS 3.4 now.

 

2,806 Views
SwDev-789
Contributor I

Hi Robin,

I'm having the same issue as a few other people on the forum. It seems the SDK is not yet available for S32DS 3.5, as 3.5 only supports up to RTM 4.0.1. I'd like to use the newest SDK (4.0.3) in S32DS 3.5 - Update 4, since it includes improvements to the lin-stack middleware.

Could you provide a work around to include RTM 4.0.3 in 3.5? If not, can you provide an estimate on when the SDK will be available for S32DS 3.5?

Thanks.

0 Kudos
2,786 Views
Robin_Shen
NXP TechSupport
NXP TechSupport

According to the currently available information, we don’t have any plan to integrate S32SDK S32K1XX 4.0.3 into S32DS 3.5 or above version.

Sorry, do you mean the lin_stack mentioned in chapter 2.2 List of fixed issues from S32K1xx RTM 4.0.2.? If so, it's fixed in S32K1xx RTM 4.0.3 + S32DS v3.4 .
If not, would you please submit a new question in S32DS community. So that S32DS experts can help you check the issue.

lin_stack 2.2 List of fixed issues from S32K1xx RTM 4.0.2..png

0 Kudos
1,790 Views
tsweaver
Contributor II

Sorry if this is a dumb question,  but if 3.5 is the latest version of S32DS and 3.0.3 is the latest SDK, why will DS 3.5 not support SDK 3.0 3? I'm pretty new to the forums and don't have a good understanding of all the different versions and dependencies.  I've been using S32DS 2.2 with an S32K148 for a number of years and just now looking to upgrade to latest DS. I understand that DS 2.2 is the last to support Processor Expert and that DS 3.x uses the Configuration Tools. What currently is the stable latest and greatest? 

0 Kudos
2,756 Views
SwDev-789
Contributor I

Hi Robin,

Yes, the lin_stack is the middleware I was referring to. RTM 4.0.3 included ldf relative path improvements, as well as fixes to the parser itself (The node configuration gui in 4.0.1 indicates parsing errors for my ldf that 4.0.3 does not).

I was hoping to upgrade to the latest design studio, but if there are no plans to include the updates to the lin_stack peripheral tool in DS 3.5, I will have to stick with DS 3.4. 

Thank you for the prompt response.

0 Kudos
4,182 Views
designer1258475
Contributor I

Hi

I use S32DS 3.5 (latest version). I installed SDK RTM 4.01 with "S32DS Etensions and Updates".

I don't see any 4.03 update

See my screen

designer1258475_0-1674995083973.png

When I uninstall and try to reinstall, only version 4.0.1 is available. What to do for S32DS 3.5 (latest version)

See my update sites:

designer1258475_0-1674995462261.png

And when I try to make "Eclipse >Help > Install new software", I don't find other versions than 4.0.1

designer1258475_1-1674995701367.png

 

 

0 Kudos
2,896 Views
DenisT1980
Contributor III

Hi, I have the same issue. Have you found the solution?